| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
packet_entry_header Struct Reference

Per-packet record header in a Network Instruments Observer capture file. More...

`#include <observer.h>`

## Public Attributes
uint32_t | packet_magic
uint32_t | network_speed
uint16_t | captured_size
uint16_t | network_size
uint16_t | offset_to_frame
uint16_t | offset_to_next_packet
uint8_t | network_type
uint8_t | flags
uint8_t | number_of_information_elements
uint8_t | packet_type
uint16_t | errors
uint16_t | reserved
uint64_t | packet_number
uint64_t | original_packet_number
uint64_t | nano_seconds_since_2000

## Detailed Description

Per-packet record header in a Network Instruments Observer capture file.

## Member Data Documentation

## ◆ captured_size

uint16_t packet_entry_header::captured_size

Number of bytes of the packet actually saved in the file.

## ◆ errors

uint16_t packet_entry_header::errors

Bitmask of error flags reported for this packet by the capture hardware.

## ◆ flags

uint8_t packet_entry_header::flags

Bitmask of packet flags describing capture conditions for this packet.

## ◆ nano_seconds_since_2000

uint64_t packet_entry_header::nano_seconds_since_2000

Packet arrival timestamp in nanoseconds since January 1, 2000 00:00:00 UTC.

## ◆ network_size

uint16_t packet_entry_header::network_size

Original on-wire size of the packet in bytes.

## ◆ network_speed

uint32_t packet_entry_header::network_speed

Speed of the network in bits per second at the time of capture.

## ◆ network_type

uint8_t packet_entry_header::network_type

Network type identifier indicating the link-layer medium (e.g. Ethernet, WLAN).

## ◆ number_of_information_elements

uint8_t packet_entry_header::number_of_information_elements

Number of TLV information elements appended to this header.

## ◆ offset_to_frame

uint16_t packet_entry_header::offset_to_frame

Byte offset from the start of this header to the first byte of frame data.

## ◆ offset_to_next_packet

uint16_t packet_entry_header::offset_to_next_packet

Byte offset from the start of this header to the start of the next packet record.

## ◆ original_packet_number

uint64_t packet_entry_header::original_packet_number

Original packet number from the source capture, used when merging or filtering.

## ◆ packet_magic

uint32_t packet_entry_header::packet_magic

Magic number identifying the start of a valid packet record.

## ◆ packet_number

uint64_t packet_entry_header::packet_number

Sequential packet number assigned by the capture software.

## ◆ packet_type

uint8_t packet_entry_header::packet_type

Packet type classification (e.g. unicast, broadcast, multicast).

## ◆ reserved

uint16_t packet_entry_header::reserved

Reserved; must be zero.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/observer.h